Bug 213560 - www/obhttpd: Update to 6.0.20161006
Summary: www/obhttpd: Update to 6.0.20161006
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Larry Rosenman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-17 11:05 UTC by Nikola Kolev
Modified: 2017-01-11 04:59 UTC (History)
2 users (show)

See Also:
robak: maintainer-feedback+


Attachments
obhttpd 6.0.20161006 patch (3.28 KB, text/plain)
2016-10-17 11:05 UTC, Nikola Kolev
no flags Details
fixed paths (2.93 KB, patch)
2016-11-07 12:52 UTC, Nikola Kolev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Bartek Rutkowski freebsd_committer 2016-11-07 12:21:58 UTC
The patch fails on creating pkg-plist file, can you update the patch with proper diff flags, and also proper paths (your patch references your personal development paths)?
Comment 2 Nikola Kolev 2016-11-07 12:52:39 UTC
Created attachment 176737 [details]
fixed paths
Comment 3 commit-hook freebsd_committer 2017-01-11 04:58:01 UTC
A commit references this bug:

Author: ler
Date: Wed Jan 11 04:57:43 UTC 2017
New revision: 431157
URL: https://svnweb.freebsd.org/changeset/ports/431157

Log:
  upgrade www/obhttpd to 6.0.20161006
  modernized the Uses / USE_OPENSSL usage

  PR:	213560
  Submitted by:	koue@chaosophia.net (Maintainer)
  Approved by:	adamw (mentor)
  Differential Revision:	https://reviews.freebsd.org/D9128

Changes:
  head/www/obhttpd/Makefile
  head/www/obhttpd/distinfo
  head/www/obhttpd/pkg-plist
Comment 4 Larry Rosenman freebsd_committer 2017-01-11 04:59:44 UTC
Committed (with minor changes), Thanks.

Can you look at the SSL setup in net/openntpd and security/acme-client
and see if that would work here?